unit uIDataModuleContratosCliente;

interface

uses
  Classes, uROTypes, uBizContratosCliente, uBizDetallesContratoCliente,
  uIntegerListUtils;

type
  IDataModuleContratosCliente = interface
  ['{9EEE0C8F-8EE6-43F2-9194-8A010D940EFD}']
    function GetAnosItems : TStringList;    
    function GetItems: IBizContratoCliente; overload;
    function GetItems(const AListaID: TIntegerList) : IBizContratoCliente; overload; 
    function GetItem(const ID : Integer) : IBizContratoCliente;
    function NewItem : IBizContratoCliente;
    function GetContratosClienteBeneficios : IBizContratosClienteBeneficios;    
  end;

implementation

end.
